%global momorel 1

Name: btrfs-progs
Version: 4.17.1
Release: %{momorel}m%{?dist}
Summary: Utilities for btrfs filesystems
License: GPLv2+
Group: System Environment/Base
URL: http://btrfs.wiki.kernel.org/index.php/Main_Page
Source0: https://www.kernel.org/pub/linux/kernel/people/kdave/btrfs-progs/%{name}-v%{version}.tar.xz
NoSource: 0
Patch0:	btrfs-progs-valgrind.patch
Patch1:	btrfs-init-dev-list.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: e2fsprogs-devel
BuildRequires: libcom_err-devel
BuildRequires: libuuid-devel
BuildRequires: libzstd-devel
BuildRequires: zlib-devel

%description
The btrfs-progs package provides all the userspace programs needed to create,
check, modify and correct any inconsistencies in the btrfs filesystem.

%package devel
Summary:	btrfs filesystem-specific libraries and headers
Group:		Development/Libraries
Requires:	btrfs-progs = %{version}-%{release}

%description devel
btrfs-progs-devel contains the libraries and header files needed to
develop btrfs filesystem-specific programs.

You should install btrfs-progs-devel if you want to develop
btrfs filesystem-specific programs.

%prep
%setup -q -n %{name}-v%{version}

%build
./autogen.sh
%configure CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
make %{?_smp_mflags}

%install
rm -rf --preserve-root %{buildroot}
make mandir=%{_mandir} bindir=%{_sbindir} libdir=%{_libdir} incdir=%{_includedir}/btrfs install DESTDIR=$RPM_BUILD_ROOT
# Nuke the static lib
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.a

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/libbtrfs.so.0*
%{_libdir}/libbtrfsutil.so.1*
%{_prefix}/lib/udev/rules.d/64-btrfs-dm.rules
%{_sbindir}/btrfsck
%{_sbindir}/fsck.btrfs
%{_sbindir}/mkfs.btrfs
%{_sbindir}/btrfs-image
%{_sbindir}/btrfs-convert
%{_sbindir}/btrfs-select-super
%{_sbindir}/btrfstune
%{_sbindir}/btrfs
%{_sbindir}/btrfs-map-logical
%{_sbindir}/btrfs-find-root
%{_mandir}/man5/*.*
%{_mandir}/man8/*.*

%files devel
%{_includedir}/*
%{_libdir}/libbtrfs.so
%{_libdir}/libbtrfsutil.so

%changelog
* Mon Aug 20 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (4.17.1-1m)
- update to 4.17.1

* Mon May 14 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (4.16.1-1m)
- update to 4.16.1

* Mon Feb 19 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (4.15.1-1m)
- update to 4.15.1

* Thu Feb 15 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (4.15-1m)
- update to 4.15

* Fri Feb 02 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (4.14.1-2m)
- add BR libzstd-devel

* Thu Feb 01 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (4.14.1-1m)
- update to 4.14.1

* Sun Dec  3 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.14-1m)
- update to 4.14

* Wed Oct 18 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.13.3-1m)
- update to 4.13.3

* Sat Oct 07 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.13.2-1m)
- update to 4.13.2

* Wed Sep 27 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.13.1-1m)
- update to 4.13.1

* Sat Jul 22 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.11.1-1m)
- update to 4.11.1

* Fri Jun 09 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.11-1m)
- update to 4.11

* Sat May 06 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (4.10.2-1m)
- update to 4.10.2

* Fri Sep 23 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.7.3-1m)
- update to 4.7.3

* Wed Aug 31 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.7.1-1m)
- update to 4.7.1

* Sat Aug 06 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.7-1m)
- update to 4.7

* Tue Jun 28 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.6.1-1m)
- update to 4.6.1

* Sun Jun 19 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.6.0-1m)
- update to 4.6.0

* Sun May 22 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.5.3-1m)
- update to 4.5.3

* Sat Apr 30 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.5.1-1m)
- update to 4.5.1

* Wed Mar 23 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.5-1m)
- update to 4.5

* Wed Mar 09 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4.1-1m)
- update to 4.4.1

* Wed Jan 20 2016 Yohsuke Ooi <meke@momonga-linux.org>
- (4.4-1m)
- update to 4.4

* Sat Nov 28 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (4.3.1-1m)
- update to 4.3.1

* Tue Jul 28 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.1.2-1m)
- update to 4.1.2

* Mon May 25 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (4.0.1-1m)
- update to 4.0.1

* Thu Mar 26 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.19.1-1m)
- update to 3.19.1

* Fri Jan 30 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.18.2-1m)
- update to 3.18.2

* Sun Jan 11  2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.18.1-1m)
- update to 3.18.1

* Fri Jan  2 2015 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.18-1m)
- update to 3.18

* Sat Dec  6 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.17.3-1m)
- update to 3.17.3

* Sat Oct 18 2014 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.17-1m)
- update to 3.17

* Mon Oct 06 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (3.16.2-1m)
- update 3.16.2

* Mon Sep 01 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (3.16-1m)
- update 3.16

* Thu Jun 19 2014 Yohsuke Ooi <meke@momonga-linux.org>
- (3.14,2-1m)
- update 3.14,2

* Fri Aug 24 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.19-13m)
- add source

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.19-12m)
- rebuild for new GCC 4.6

* Fri Feb 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.19-11m)
- add patch for gcc46, generated by gen46patch

* Tue Feb 08 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.19-10m)
- fix CFLAGS and CXXFLAGS for gcc 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.19-9m)
- rebuild for new GCC 4.5

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.19-8m)
- full rebuild for mo7 release

* Thu May 20 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19-7m)
- import patches from Fedora 13 (0.19-12)
- revise BuildReqs

* Sat May  1 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19-6m)
- explicitly link libcom_err

* Sat Apr 24 2010 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.19-5m)
- use BuildRequires

* Thu Feb 18 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19-4m)
- apply glibc212 patch

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.19-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Fri Jul 31 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.19-2m)
- install all tools

* Thu Jun 25 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.19-1m)
- update 0.19

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.18-2m)
- rebuild against rpm-4.6

* Mon Jan 19 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.18-1m)
- update 0.18

* Fri Jan 16 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.17-2m)
- update Patch0 for fuzz=0
- License: GPLv2+

* Thu Jan 15 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.17-1m)
- update 0.17

* Sun Aug 24 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.16-1m)
- update 0.16

* Mon Jun  2 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.15-1m)
- update 0.15

* Sun May 11 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.14-1m)
- update 0.14
- change URL

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.13-2m)
- rebuild against gcc43

* Sun Feb 24 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.13-1m)
- update 0.13

* Sat Feb 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.12-1m)
- update 0.12

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11-2m)
- %%NoSource -> NoSource

* Fri Jan 18 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.11-1m)
- update 0.11

* Wed Dec  5 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9-1m)
- update 0.9

* Wed Nov  7 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8-1m)
- update 0.8

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6-1m)
- update 0.6

* Wed Jul  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5-2m)
- change install path. /usr/bin -> /sbin

* Wed Jul  4 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5-1m)
- Initial Commit

